- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionHeader Class Reference

Search for all occurrences

## Detailed Description

Definition at line 251 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionHeader:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_Header }
enum | StyleOptionVersion { Version = 1 }
enum | SectionPosition { Beginning, Middle, End, OnlyOneSection }
enum | SelectedPosition { NotAdjacent, NextIsSelected, PreviousIsSelected, NextAndPreviousAreSelected }
enum | SortIndicator { None, SortUp, SortDown }
## Public Member Functions
| QStyleOptionHeader ()
| QStyleOptionHeader (const QStyleOptionHeader &other)
## Public Attributes
int | section
QString | text
Qt::Alignment | textAlignment
QIcon | icon
Qt::Alignment | iconAlignment
SectionPosition | position
SelectedPosition | selectedPosition
SortIndicator | sortIndicator
Qt::Orientation | orientation
## Protected Member Functions
| QStyleOptionHeader (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 254 of file qstyleoption.h.

    { Type = SO_Header };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 255 of file qstyleoption.h.

    { Version = 1 };

enum SectionPosition

Search for all occurrences

Enumerator:

  Beginning | Search for all occurrences
  Middle | Search for all occurrences
  End | Search for all occurrences
  OnlyOneSection | Search for all occurrences

Definition at line 257 of file qstyleoption.h.

    { Beginning, Middle, End, OnlyOneSection };

enum SelectedPosition

Search for all occurrences

Enumerator:

  NotAdjacent | Search for all occurrences
  NextIsSelected | Search for all occurrences
  PreviousIsSelected | Search for all occurrences
  NextAndPreviousAreSelected | Search for all occurrences

Definition at line 258 of file qstyleoption.h.

                              { NotAdjacent, NextIsSelected, PreviousIsSelected,
                                NextAndPreviousAreSelected };

enum SortIndicator

Search for all occurrences

Enumerator:

  None | Search for all occurrences
  SortUp | Search for all occurrences
  SortDown | Search for all occurrences

Definition at line 260 of file qstyleoption.h.

    { None, SortUp, SortDown };

## Constructor & Destructor Documentation

QStyleOptionHeader | ( |  | ) |

QStyleOptionHeader | ( | const QStyleOptionHeader & | other | ) | `[inline]`

Definition at line 273 of file qstyleoption.h.

    : QStyleOption(Version, Type) { *this = other; }

QStyleOptionHeader | ( | int | version | ) | `[protected]`

## Member Data Documentation

int section

Search for all occurrences

Definition at line 262 of file qstyleoption.h.

QString text

Search for all occurrences

Definition at line 263 of file qstyleoption.h.

Qt::Alignment textAlignment

Search for all occurrences

Definition at line 264 of file qstyleoption.h.

QIcon icon

Search for all occurrences

Definition at line 265 of file qstyleoption.h.

Qt::Alignment iconAlignment

Search for all occurrences

Definition at line 266 of file qstyleoption.h.

SectionPosition position

Search for all occurrences

Definition at line 267 of file qstyleoption.h.

SelectedPosition selectedPosition

Search for all occurrences

Definition at line 268 of file qstyleoption.h.

SortIndicator sortIndicator

Search for all occurrences

Definition at line 269 of file qstyleoption.h.

Qt::Orientation orientation

Search for all occurrences

Definition at line 270 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader
QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader QStyleOptionHeader